Show / Hide Table of Contents

# Class ConnectParams

Parameters for the Connect Request.

##### Inheritance

System.Object
ConnectParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectParams

### Properties

| Improve this Doc View Source

#### Connection

Contains the required parameters to initialize a connection to a database. A connection will identified by its server name, database name and user name. This may be changed in the future to support multiple connections with different connection properties to the same database.

##### Declaration

    public ConnectionDetails Connection { get; set; }

##### Property Value

Type | Description
--- | ---
ConnectionDetails |

| Improve this Doc View Source

#### OwnerUri

A URI identifying the owner of the connection. This will most commonly be a file in the workspace or a virtual file representing an object in a database.

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Extension Methods

ConnectParamsExtensions.IsValid(ConnectParams, out String)